<?php
add_filter( 'cmb_meta_boxes', 'tr_theme_metaboxes' );

function tr_theme_metaboxes( array $meta_boxes ) {
    global $trconf;
    
	$meta_boxes['tr_metabox'] = array(
		'id'         => 'mt_video',
		'title'      => 'Video',
		'pages'      => array( 'post' ), // Post type
		'context'    => 'normal',
		'priority'   => 'high',
		'show_names' => true, // Show field names on the left
		// 'cmb_styles' => true, // Enqueue the CMB stylesheet on the frontend
		'fields'     => array(
			array(
				'name' => 'Código',
				'desc' => 'añade el codigo iframe/embed de cualquier tube, el theme automáticamente adaptará el tamaño del video.',
				'id'   => $trconf['fieldvideo'],
				'type' => 'textarea_code',
			),
			array(
				'name' => 'Duración',
				'desc' => 'Añade la duración (opcional)',
				'id'   => $trconf['fieldtime'],
				'type' => 'text_small',
			),
			array(
				'name' => 'Enlace',
				'desc' => 'Crea entradas de publicidad camufladas (opcional)',
				'id'   => 'tr_link',
				'type' => 'text',
			),
		),
	);


	return $meta_boxes;
}

add_action( 'init', 'trtheme_initialize_cmb_meta_boxes', 9999 );

function trtheme_initialize_cmb_meta_boxes() {

	if ( ! class_exists( 'cmb_Meta_Box' ) )
		require_once TEMPLATEPATH.'/inc/admin/metaboxes/init.php';

}
