<?php
	function mt_theme_related_scripts_init() {
        if(is_single()){
            $path_to_theme = get_template_directory_uri();
            $myvars = array( 
                'ajaxurl' => admin_url( 'admin-ajax.php' ),
                'loading' => __('Loading...', TR_THEMENAME),	
                'mtthemerelatednonce' => wp_create_nonce( 'mt-theme-related-nonce' )
            );
            wp_enqueue_script( 'mt-related', $path_to_theme.'/js/mtrelated.js',array('jquery'));
            wp_localize_script( 'mt-related', 'MtRelated', $myvars );
        }
    }
	
	if ( !is_admin() ) {
	  add_action('wp_print_scripts', 'mt_theme_related_scripts_init');
	}

	function mt_related($total=10,$cat,$id,$tipo=1,$display=NULL){
		global $post, $trconf;
        
        $return='';

		$orig_post = $id;
		if($tipo==1){ 
			$catid='';
			if(is_single()){foreach((get_the_category($id)) as $category){$catname=$category->cat_name;$catid.=$category->cat_ID.',';}}
				$args=array(
					'cat' => $catid,
					'post__not_in' => array($id),
					'posts_per_page'=>$total,
					'ignore_sticky_posts'=>1,
					'orderby' => 'rand',
				);
		}
		$my_query = new wp_query( $args );
		if ($my_query->have_posts() ) :	
		$return.='					<article class="btspr">
						<div class="ttl-cn dfl fa-film">
							<h2>'.str_replace('{name}', strtolower($catname), strip_tags($trconf['h2_related'], '<a>,<strong>')).'</h2>
						</div>
						<div class="pst-cls nfl" id="pst-related">';

		while( $my_query->have_posts() ) {		
		$my_query->the_post();
            $return.='							<!--<post>-->
							<section class="pst-cn clma06c04d03">
								<figure><a '.tr_permalink(get_the_ID()).'><img class="lazy" data-original="'.mt_img_data().'" src="'.mt_img_src().'" alt="'.sprintf( __('Image %s', TR_THEMENAME), get_the_title()).'">'; if(get_post_meta(get_the_ID(), $trconf['fieldtime'], true)!=''){ $return.='<span>'.get_post_meta(get_the_ID(), $trconf['fieldtime'], true).'</span>'; } $return.='</a></figure>
								<header>
									<h3><a '.tr_permalink(get_the_ID()).'>'.get_the_title().'</a></h3>
									<p>'.get_the_category_list(', ').'</p>
								</header>
							</section>
							<!--<post>-->';
		}
		$return.='
						</div>';
        if($my_query->found_posts>$total){
        $return.='
						<div class="mrvd-cn">
							<a id="btn-mrvd" data-id="'.$id.'" data-total="'.$total.'" class="btn-mrvd" href="#">'.__('Show more videos', TR_THEMENAME).'</a>
						</div>';
        }
        $return.='
					</article>
        ';
		$post = $orig_post;
		wp_reset_query();
		
		if($display==''){echo $return;}else{return $return;}		
		endif;
	}

	function mt_related_ajax(){

		$nonce = $_POST['nonce'];
 
	    if ( ! wp_verify_nonce( $nonce, 'mt-theme-related-nonce' ) )
    	    die ( 'Die');
	
	
		if($_POST['action'] == 'mt_related_action') {
            
            global $trconf;
			            
			$id=intval($_POST['id']);
            $total=intval($_POST['total']);
            
            $id=empty($id) ? 1 : $id;
            $total=empty($id) ? 1 : $total;

            $return='';

            $orig_post = $id;
                $catid='';
                    foreach((get_the_category($id)) as $category){$catid.=$category->cat_ID.',';}
                    $args=array(
                        'cat' => $catid,
                        'post__not_in' => array($id),
                        'posts_per_page'=>$total,
                        'ignore_sticky_posts'=>1,
                        'orderby' => 'rand',
                    );
            
            $my_query = new wp_query( $args );
            if ($my_query->have_posts() ) :	

            while( $my_query->have_posts() ) {		
            $my_query->the_post();
                $return.='							<!--<post>-->
                                <section class="pst-cn clma06c04d03">
                                    <figure><a '.tr_permalink(get_the_ID()).'><img src="'.mt_img(get_the_ID(), 'medium', true).'" alt="'.sprintf( __('Image %s', TR_THEMENAME), get_the_title()).'">'; if(get_post_meta(get_the_ID(), $trconf['fieldtime'], true)!=''){ $return.='<span>'.get_post_meta(get_the_ID(), $trconf['fieldtime'], true).'</span>'; } $return.='</a></figure>
                                    <header>
                                        <h3><a '.tr_permalink(get_the_ID()).'>'.get_the_title().'</a></h3>
                                        <p>'.get_the_category_list(', ').'</p>
                                    </header>
                                </section>
                                <!--<post>-->';
            }
            $post = $orig_post;
            wp_reset_query();

            echo $return;

            endif;
                        
		}
		exit;
	}
	
	add_action( 'wp_ajax_mt_related_action', 'mt_related_ajax' );
	add_action( 'wp_ajax_nopriv_mt_related_action', 'mt_related_ajax');
?>