<?php
	global $content_width;

	if (!isset($content_width)) $content_width = 1000;

	function mt_after_setup_theme(){
		
		load_theme_textdomain(TR_THEMENAME, get_template_directory().'/languages');

		register_nav_menus(
			array(
				'menu_header' => __('Menu header', TR_THEMENAME),
				'menu_links' => __('Menu links', TR_THEMENAME),
				'menu_footer' => __('Menu footer', TR_THEMENAME),
			)
		);
	
		remove_action('wp_head', 'wp_generator');
		add_theme_support('automatic-feed-links');
		add_theme_support('menus');
		add_theme_support('post-thumbnails');
		add_theme_support('html5', array('gallery', 'caption'));
		add_editor_style( array( 'css/editor-style.css') );

	}
	
	add_action('after_setup_theme', 'mt_after_setup_theme');
	
	// config

	add_filter('option_admin_email','mt_email');
	
	function mt_email(){
		global $trconf;
		
		return $trconf['email'];
	}
	
	add_filter('option_posts_per_page','mt_posts_per_page');
	
	function mt_posts_per_page(){
		global $trconf;
		
		return $trconf['post_per_page'];
	}
	
	add_action('wp_head', 'mt_header');
	
	function mt_header(){
		global $trconf;
		
		if($trconf['custom_header_code']!=''){echo stripslashes($trconf['custom_header_code'])."\n";}
		if($trconf['favicon']['url']!=''){echo"<link rel=\"shortcut icon\" type=\"image/x-icon\" href=\"".$trconf['favicon']['url']."\">"."\n";}
	}

	add_action('wp_footer', 'mt_footer');
	
	function mt_footer() {
		global $trconf;
		
		if($trconf['custom_footer_code']!='' and !wp_is_mobile()){echo stripslashes($trconf['custom_footer_code'])."\r";}
	}

    function ads_ft(){
        global $trconf;
        if($trconf['ads_ft']!=''){
            echo'<div class="fta btspr">';
                    $explode=explode("\n", $trconf['ads_ft']);
                    foreach ($explode as $pub){
                        echo '<div class="dvr-3x2">'.$pub.'</div>';
                    }
            echo'</div>';
        }
    }

    function ads_lst(){
        global $trconf;
        if($trconf['ads_lst']!=''){
            echo'                            <!--<pub>-->
                            <div class="clma12c04d03 dfl">
                                <div class="dvcn">
                                    <div class="dvr-3x2">
                                        '.$trconf['ads_lst'].'
                                    </div>
                                </div>
                            </div>
                            <!--</pub>-->';
        }
    }

    function ads_post(){
        global $trconf;
        if($trconf['ads_post']!=''){
            echo'<aside class="dvcl clma12d04">';
                    $explode=explode("\n", $trconf['ads_post']);
                    foreach ($explode as $pub){
                        echo '<div class="dvr-3x2">'.$pub.'</div>';
                    }
            echo'</aside>';
        }
    }

    function tr_layout(){
        global $trconf;
        if($trconf['layout']==1){
            return 'thumbs';
        }else{
            return 'full';   
        }
    }

   function tr_permalink($id){
        if(get_post_meta($id, 'tr_link', true)==''){
            return 'href="'.get_permalink($id).'"';
        }else{
            return 'rel="nofollow" target="_blank" href="'.get_post_meta($id, 'tr_link', true).'"';   
        }
    }

    function tr_featured($id){
        if(get_post_meta($id, 'tr_link', true)!=''){
            return '<div class="psrcmd"><i class="fa-star"></i></div>';   
        }
    }

    function tr_twitter($display=NULL){
        global $trconf;
        
        $return='<div class="fll-twt rgt"><a target="_blank" href="'.$trconf['twitter'].'" class="fa-twitter">'.sprintf( __('Follow us on %sTWITTER!%s', TR_THEMENAME), '<strong>', '</strong>').'</strong></a></div>';
        
        if($return==TRUE){return $return;}else{ echo $return; }
    }

	function mt_h1(){
		global $trconf,$pagename;
					
        if(is_front_page()){
            $return=$trconf['h1_home'];
        }elseif(is_single()){
            global $post;

            $return=$trconf['h1_post'];
            $return=str_replace('{name}',$post->post_title,$return);
        }elseif(is_category()){
            $return=$trconf['h1_category'];
            $return=str_replace('{name}',single_cat_title("", false),$return);
        }elseif(is_page()){
            global $post;

            $return=$trconf['h1_page'];
            $return=str_replace('{name}',$post->post_title,$return);
        }elseif(is_tag()){
            $return=$trconf['h1_tag'];
            $return=str_replace('{name}',single_tag_title("", false),$return);
        }elseif(is_search()){
            $return=$trconf['h1_search'];
            $return=str_replace('{name}',get_search_query(),$return);
        }else{
            $return=wp_title("",false,"right");		
        }

        echo '<h1>'.strip_tags($return, '<a>,<strong>').'</h1>';
	}

	function mt_h2($tag='<h2>', $tagf='</h2>', $cats=NULL){
		global $trconf,$pagename;
					
		if(is_front_page() and $cats==NULL){
			$return=$trconf['h2_home'];
		}elseif(is_single() and $cats==NULL){
			global $post;
			
			$return=$trconf['h2_post'];
			$return=str_replace('{name}',$post->post_title,$return);
		}elseif(is_category() and $cats==NULL){
			$return=$trconf['h2_category'];
			$return=str_replace('{name}',single_cat_title("", false),$return);
		}elseif(is_page() and $cats==NULL){
			global $post;
			
			$return=$trconf['h2_page'];
			$return=str_replace('{name}',$post->post_title,$return);
		}elseif(is_tag() and $cats==NULL){
			$return=$trconf['h2_tag'];
			$return=str_replace('{name}',single_tag_title("", false),$return);
		}elseif(is_search() and $cats==NULL){
			$return=$trconf['h2_search'];
			$return=str_replace('{name}',get_search_query(),$return);
		}elseif($cats==1){
			$return=$trconf['h2_categories'];
		}else{
			$return=wp_title("",false,"right");		
		}
	
		$class=empty($class) ? '' : ' class="'.$class.'"';
		
		echo $tag.strip_tags($return, '<a>,<strong>').$tagf;
	}

    function tr_get_tag_ID($tag_name) {
        $tag = get_term_by('name', $tag_name, 'post_tag');
        if ($tag) {
            return $tag->term_id;
        } else {
            return 0;
        }
    }

    function tr_seo_description(){
        global $trconf, $wp_query;
        
        if(is_category()){
            $cat_desc= get_option( "description_seo_tr");
            if($cat_desc[get_cat_ID(single_cat_title("", false))]=='' and $trconf['category_desc']!=''){
                $a=array('{name}', '{total}');
                $b=array(single_cat_title("", false), $wp_query->found_posts);
                $trconf['category_desc']=str_replace($a, $b, $trconf['category_desc']);;
                echo '<div class="ctg-txt">'.$trconf['category_desc'].'</div>';
            }elseif($cat_desc[get_cat_ID(single_cat_title("", false))]!=''){
                $a=array('{name}', '{total}');
                $b=array(single_cat_title("", false), $wp_query->found_posts);
                $trconf['category_desc']=str_replace($a, $b, $trconf['category_desc']);;
                echo '<div class="ctg-txt">'.$cat_desc[get_cat_ID(single_cat_title("", false))].'</div>';
            }
        }
        
        if(is_tag()){
            $cat_desc= get_option( "description_seo_tr");
            if($cat_desc[tr_get_tag_ID(single_tag_title("", false))]=='' and $trconf['tag_desc']!=''){
                $a=array('{name}', '{total}');
                $b=array(single_tag_title("", false), $wp_query->found_posts);
                $trconf['tag_desc']=str_replace($a, $b, $trconf['tag_desc']);;
                echo '<div class="ctg-txt">'.$trconf['tag_desc'].'</div>';
            }elseif($cat_desc[tr_get_tag_ID(single_tag_title("", false))]!=''){
                $a=array('{name}', '{total}');
                $b=array(single_tag_title("", false), $wp_query->found_posts);
                $trconf['category_desc']=str_replace($a, $b, $trconf['tag_desc']);;
                echo '<div class="ctg-txt">'.$cat_desc[tr_get_tag_ID(single_tag_title("", false))].'</div>';
            }
        }
    }

    function tr_sidebar_show($type=1){
        global $trconf;
        
        if($type==1){
            if($trconf['sidebar']==1){echo'clma12d08e09';}else{echo'clma12';}
        }elseif($type==2){
            if($trconf['ads_lst']!=''){echo ' dv-fst';}
        }else{
            if($trconf['sidebar']==1){get_sidebar();}   
        }
    }

    function tr_comments(){
        global $trconf;
        if($trconf['comments']==1){ comments_template();}
    }

    function mt_img_data($type=1, $id=NULL){
        global $trconf;
        
        if($type==1){        
            if($trconf['lazy']==1){
                return mt_img(get_the_ID(), 'medium', true);  
            }
        }else{
            if($trconf['lazy']==1){
                return z_taxonomy_image_url($id, 'full');  
            }
        }
    }
    
    function mt_img_src($type=1, $id=NULL){
        global $trconf;
        
        if($type==1){
            if($trconf['lazy']==1){
                return get_template_directory_uri()."/img/transparent.gif";   
            }else{
                return mt_img(get_the_ID(), 'medium', true);   
            }
        }else{
            if($trconf['lazy']==1){
                return get_template_directory_uri()."/img/transparent.gif";   
            }else{
                return z_taxonomy_image_url($id, 'full');   
            }  
        }
    }

    
?>