<?php

if ( !class_exists('WP_Widget_MABP_Advertisement') ) {
  class WP_Widget_MABP_Advertisement extends WP_Widget {

      // Constructor
      function WP_Widget_MABP_Advertisement() {

        $widget_ops   = array('description' => __('Advertising', TR_THEMENAME));

        $this->WP_Widget('MABP_Advertisement', __('Advertising', TR_THEMENAME), $widget_ops);
      }

      // Display Widget
      function widget($args, $instance) {
        extract($args);
        
        $title = apply_filters('widget_title', esc_attr($instance['title']));
        $adcode = $instance['adcode'];
        ?>      
        <!--<advmnt>-->
        <div class="wdg">
            <?php if($title!=''){ ?>
			    <div class="ttl-cn dfl fa-star"><strong><?php echo $title; ?></strong></div>
			<?php } ?>
			<div class="dvr-3x2">
			  <?php echo $adcode; ?>
			</div>
        </div>
        <!--</advmnt>-->
        <?php
      }

      // Update Widget
      function update($new_instance, $old_instance) {

        $instance = $old_instance;
        $instance['title'] = strip_tags($new_instance['title']);
        $instance['adcode'] = $new_instance['adcode'];

        return $instance;
      }

      // Display Widget Control Form
      function form($instance) {
        global $wpdb;

        $instance = wp_parse_args((array) $instance, array('title' => __('Advertising', TR_THEMENAME), 'adcode' => ''));

        $title = esc_attr($instance['title']);
        $adcode = $instance['adcode'];

        ?>

        <p>
          <label for="<?php echo $this->get_field_id('title'); ?>">
            Titulo
            <input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo $title; ?>" />
          </label>
        </p>

        <p>
          <label for="<?php echo $this->get_field_id('adcode'); ?>">
            Código banner
            <textarea rows="10" class="widefat" id="<?php echo $this->get_field_id('adcode'); ?>"  name="<?php echo $this->get_field_name('adcode'); ?>"><?php echo $adcode; ?></textarea>
          </label>
        </p>

        <?php
      }
    }
}
?>